import request from '@/utils/request'

export function getMzPatient(patientId, xiangMuZhuangTai, startTime, endTime, dept) {
    return request({
        url: '/menZhenXiangMu/getMzPatient',
        method: 'get',
        params: {patientId, xiangMuZhuangTai, startTime, endTime, dept},
    })
}

export function kuaiSuChaZhao(startTime, endTime, execDept) {
    return request({
        url: '/menZhenXiangMu/kuaiSuChaZhao',
        method: 'get',
        params: {startTime, endTime, execDept},
    })
}

export function getFeiYongXinXi(realNo, patientId, times, xiangMuZhuangTai) {
    return request({
        url: '/menZhenXiangMu/getFeiYongXinXi',
        method: 'get',
        params: {realNo, patientId, times, xiangMuZhuangTai},
    })
}

export function getMingXi(data) {
    return request({
        url: '/menZhenXiangMu/getMingXi',
        method: 'post',
        data,
    })
}

export function menZhenXiangMuQuXiaoHuoQueRen(data) {
    return request({
        url: '/menZhenXiangMu/queRenOrQuXiao',
        method: 'post',
        data,
    })
}
